## sugar-base-0.84 0.84.2

=== debian/changelog ===
sugar-base-0.84 (0.84.2-1) unstable; urgency=low

  * New upstream maintenance release.
  * Refresh patches.
  * Bump some years in copyright file.
  * Enable bzip2-compressed tarballs in git-buildpackage configfile.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Jun 2010 18:54:49 +0200

sugar-base-0.84 (0.84.1-3) unstable; urgency=low

  * Set master-0.84 as master branch in gbp.conf.
  * Set non-build dependencies using recursively-expanded variables (=,
    not :=) in debian/rules.
  * Use branch shortlog in Vcs-Browser stanza.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh and unfuzz patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-all-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add a few new owners and years (no new licenses).
    + Shuffle file sections around to better match hints file.
  * Bump standards-version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 17:53:15 +0200

sugar-base-0.84 (0.84.1-2) unstable; urgency=low

  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
  * Bump up policy compliance to standards version 3.8.3.
  * Update OLPC relation (now historic) in long description.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 17:42:20 +0200

sugar-base-0.84 (0.84.1-1) unstable; urgency=low

  * New upstream release.
  * Add PyDispatcher license to copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 01:48:36 +0200

sugar-base-0.84 (0.84.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0000 (backported snapshot) now included upstream.
  * Update patch 1001 (danish locale).
  * Unfuzz patch 2991.
  * Append branch to source and binary package names and Sugar-specific
    package relations, to support multiple branches in same distribution
    concurrently.
  * Fix debian/copyright (more owners, same licenses).
  * Add README.source (and drop CDBS hints and README.packaging).
  * Enable tag signing in git-buildpackage configfile.
  * Enhance package-relations.mk to support all binary package relations
    (except -indep ones).
  * Update copyright and licensing info:
    + Add proper copyright header to debian/rules
    + Update debian/copyright and hints (extend years)
    + Add TODO about possible missing license for src/sugar/dispatch/*
  * Drop laptop.org URLs in debian/copyright and watch file.
  * Use sugarlabs.org download URL (not laptop.org one) for
    upstream-tarball routine.
  * Use wiki page (not bare domain URL) as Homepage.
  * Maintain all package dependencies in debian/rules, with comments.
  * Limit to supporting only Python 2.5 and newer (upstream never used
    older than that, and Debian no longer use older either so unlikely
    to get proper testing if it works).
  * Bump standards-version to 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2009 02:07:52 +0200

sugar-base (0.82.2-5) unstable; urgency=medium

  * Add (not yet used) sugarlabs URL to watch file.
  * Add git-buildpackage configfile.
  * Update debian/copyright and copyright hints:
    + Bump to version 428 of new format (no structural changes)
    + Set Sugarlabs (not Redhat) as upstream maintainer, and add both
      old laptop.org and new sugarlabs.org source URLs.
    + Merge entries with same authors and licensing (varying only in
      copyright years).
    + Update copyright years
    + Include GAP licenses verbatim.
  * Set urgency=medium due to copyright and licensing corrections.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2009 07:18:10 +0100

sugar-base (0.82.2-4) unstable; urgency=low

  * Add patch 0000 to sync with upstream stable head:
    + Update aymara (ay) and turkish (tr) translations
  * Limit watch file to track stable 0.82 branch.
  * Update CDBS snippets:
    + Fix use underscore (not dash) in internal variable
    + Ignore only debian changelog and copyright-related files by
      default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 420 of new format (no structural changes)
    + Add sugar-devel mailinglist as upstream maintainer.
    + Update upstream source URLs.
    + Refer to LGPL as "GNU Library..." (not Lesser).
    + Refer to "Debian GNU systems" (not only GNU/Linux).
  * Update Homebase URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Dec 2008 00:06:38 +0100

sugar-base (0.82.2-3) unstable; urgency=low

  * Update CDBS snippet copyright-check.mk: Compact simple licenses
    (those without ' or later').
  * Update CDBS snippet makefile.mk: Cleanup check stamp dir for
    flavored builds. Fixing failure to build twice in a row.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Nov 2008 19:07:54 +0100

sugar-base (0.82.2-2) unstable; urgency=low

  * Update cdbs snippets:
    + Fix python-autotools.mk to run dh_py* scripts before
      dh_installinit.  See bug#494288.
    + Fix makefile.mk to create check stamp dir for flavored builds.
    + Several minor improvements to upstream-tarball.mk.


